package com.ruoyi.cai.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.cai.domain.Adolescent;
import com.ruoyi.cai.dto.app.query.user.AdolescentSettingReq;
import com.ruoyi.cai.dto.app.query.user.AdolescentSmsCheckReq;
import com.ruoyi.cai.dto.app.query.user.AdolescentSwitchReq;

/**
 * 青少年模式Service接口
 *
 * @author 77
 * @date 2024-01-23
 */
public interface AdolescentService extends IService<Adolescent> {
    void setAdolescent(AdolescentSettingReq setting);

    Adolescent getByUserId(Long userId);

    void switchAdolescent(AdolescentSwitchReq adolescentSwitchReq);

    void verifyMobileCode(AdolescentSmsCheckReq req);
}
